xFunArgs | R Documentation

## Function to assign (and evaluate) arguments with default values for a given function

### Description

`xFunArgs` is supposed to assign (and evaluate) arguments with default values for a given function.

### Usage

    xFunArgs(fun, action = F, verbose = TRUE)

### Arguments

`fun` | character specifying the name of the function
`action` | logical to indicate whether the function will act as it should be (with assigned values in the current environment). By default, it sets to FALSE
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to TRUE for display

### Value

a list containing arguments and their default values

### Note

This function is potentially useful when debugging as it frees developers from specifying default values for all arguments except those arguments of interest

### See Also

`xFunArgs`

### Examples

    xFunArgs(fun="xRDataLoader")